import {Component, OnInit} from '@angular/core';
import {Subscription} from "rxjs";
import {CartItem} from "../model/cart-item";
import {AppConfigService} from "../../env/app-config.service";
import {CartService} from "../services/cart.service";

@Component({
  selector: 'app-aat-header',
  templateUrl: './aat-header.component.html',
  styleUrls: ['./aat-header.component.scss']
})
export class AatHeaderComponent implements OnInit {

  public showNav = true;
  public expandItems = false;

  public config: any;
  private configSub: Subscription;

  public cart: Array<CartItem> =[];
  public cartItems: number = 0;
  public cartSize: number = 0;
  public cartSub: Subscription;

  public storage: any;

  constructor(private appConfig: AppConfigService, private cartService: CartService) {
    this.configSub = this.appConfig.getConfig().subscribe((config:string) => {
      this.config = JSON.parse(config);
    });
    this.cartSub = this.cartService.cartItems$.subscribe(cartItems => {
      this.cart = cartItems;
      this.cartItems = cartItems.length | 0;
      this.cartSize = this.cartService.totalCartSize();
    });

    this.storage = localStorage;
  }

  ngOnInit() {
  }

  maxAllowedFiles(){
    return parseInt(this.config.download_obs_limit) + parseInt(this.config.download_img_limit);
  }

  removeItem(uid: string){
    this.cartService.removeItem(uid);
  }

  clearCart(){
    this.cartService.clearCart();
    this.expandItems = false;
  }

}
