# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""convert capability request argument to JSON

Revision ID: 25add553c317
Revises: e50583fc2a8e
Create Date: 2021-03-04 16:55:41.512834

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "25add553c317"
down_revision = "e50583fc2a8e"
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column(
        "capability_requests",
        "parameters",
        type_=sa.JSON,
        postgresql_using="parameters::json",
    )
    op.alter_column(
        "capability_versions",
        "parameters",
        type_=sa.JSON,
        postgresql_using="parameters::json",
    )


def downgrade():
    op.alter_column("capability_requests", "parameters", type_=sa.String)
    op.alter_column("capability_versions", "parameters", type_=sa.String)
