"""create custom pass notification

Revision ID: ddd1912dd17b
Revises: 61cbcd1d83f7
Create Date: 2023-11-13 11:42:45.876021

"""
from pathlib import Path

from alembic import op


# revision identifiers, used by Alembic.
revision = 'ddd1912dd17b'
down_revision = '61cbcd1d83f7'
branch_labels = None
depends_on = None

template_content = ((Path.cwd() / "versions" / "templates" / "emails" / "processing_custom_comments_2.8.2.txt")
                    .read_text())


def upgrade():
    op.execute(
        f"""
        INSERT INTO notification_templates (name, description, template) 
        VALUES ('processing_custom_comments', 
        'Email template for notifying PI/CoI of additional analysts comments', 
        E'{template_content}')
        """
    )
    op.execute(
        f"""
        UPDATE notification_templates
        SET name='entire_request_fail', description='Sent when Fail Entire Request is used'
        WHERE name='std_calibration_fail'
        """
    )


def downgrade():
    op.execute(
        f"""
        DELETE FROM notification_templates
        WHERE name='processing_custom_comments'
        """
    )
    op.execute(
        f"""
        UPDATE notification_templates
        SET name='std_calibration_fail', description='Sent when calibrations fail QA'
        WHERE name='entire_request_fail'
        """
    )